Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.utils
Class BeanUtils

    java.lang.Object
      org.apache.axis.utils.BeanUtils

public class BeanUtils
extends Object

Field Summary
`static Object[]` | `noArgs`

Constructor Summary
`BeanUtils()`

Method Summary
`static BeanPropertyDescriptor` | `getAnyContentPD(Class javaType)`
`static Vector` | `getBeanAttributes(Class javaType, TypeDesc typeDesc)` Return a list of properties in the bean which should be attributes
`static BeanPropertyDescriptor[]` | `getPd(Class javaType)` Create a BeanPropertyDescriptor array for the indicated class.
`static BeanPropertyDescriptor[]` | `getPd(Class javaType, TypeDesc typeDesc)` Create a BeanPropertyDescriptor array for the indicated class.
`static BeanPropertyDescriptor[]` | `processPropertyDescriptors(PropertyDescriptor[] rawPd, Class cls)` This method attempts to sort the property descriptors using the typeDesc and order defined in the class.
`static BeanPropertyDescriptor[]` | `processPropertyDescriptors(PropertyDescriptor[] rawPd, Class cls, TypeDesc typeDesc)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### noArgs

    public static final Object[] noArgs

Constructor Detail

### BeanUtils

    public BeanUtils()

Method Detail

### getPd

    public static BeanPropertyDescriptor[] getPd(Class javaType)

  Create a BeanPropertyDescriptor array for the indicated class.

  Parameters:
    `javaType` -
  Returns:
    an ordered array of properties

### getPd

    public static BeanPropertyDescriptor[] getPd(Class javaType,
                                                 TypeDesc typeDesc)

  Create a BeanPropertyDescriptor array for the indicated class.

  Parameters:
    `javaType` -
    `typeDesc` -
  Returns:
    an ordered array of properties

### getBeanAttributes

    public static Vector getBeanAttributes(Class javaType,
                                           TypeDesc typeDesc)

  Return a list of properties in the bean which should be attributes

### processPropertyDescriptors

    public static BeanPropertyDescriptor[] processPropertyDescriptors(PropertyDescriptor[] rawPd,
                                                                      Class cls)

  This method attempts to sort the property descriptors using the typeDesc and order defined in the class.

  This routine also looks for set(i, type) and get(i) methods and adjusts the property to use these methods instead. These methods are generated by the emitter for "collection" of properties (i.e. maxOccurs="unbounded" on an element). JAX-RPC is silent on this issue, but web services depend on this kind of behaviour. The method signatures were chosen to match bean indexed properties.

### processPropertyDescriptors

    public static BeanPropertyDescriptor[] processPropertyDescriptors(PropertyDescriptor[] rawPd,
                                                                      Class cls,
                                                                      TypeDesc typeDesc)

### getAnyContentPD

    public static BeanPropertyDescriptor getAnyContentPD(Class javaType)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.